
public class NumHolder implements Runnable
{
	private int [] nums = new int[100];
	
	public synchronized void increment()
	{
	    for (int i = 0; i < nums.length; i++)
	        nums[i]++;
	}
	
	public synchronized void decrement()
	{
        for (int i = 0; i < nums.length; i++)
            nums[i]--;
	}
	
	public String toString()
	{
		String result = "";
		for (int i = 0; i < nums.length; i++)
			result += nums[i] + " ";
		return result;
	}
	
	public void run()
	{
		for (int i = 0; i < 1000; i++)
		{
		    if (Math.random() > 0.5)
		        increment();
		    else
		        decrement();
		}
	}
	
}
